dropbox(1)

Name
dropbox - A command line interface to the Dropbox service

SYNOPSIS
dropbox update
dropbox filestatus [-l] [-a] [FILE]...
dropbox ls [FILE]...
dropbox puburl FILE
dropbox sharelink FILE
dropbox proxy MODE [TYPE] [HOST] [PORT] [USERNAME] [PASSWORD]
dropbox throttle DOWNLOAD UPLOAD
dropbox status
dropbox running
dropbox stop
dropbox lansync [y/n]
dropbox exclude [list]
dropbox start [-i]
dropbox autostart [y/n]
dropbox help [COMMAND]

DESCRIPTION

The dropbox command provides a command line interface to the Dropbox, the easiest online file storage, synchronization and sharing service.

COMMANDS

    dropbox update
        Downloads the latest version of dropbox.

    dropbox filestatus [-l] [-a] [FILE]...
        Prints the current status of each FILE.

        options:
        -l --list  prints out information in a format similar to ls. works best when your console supports color :)
        -a --all   do not ignore entries starting with .

        Aliases: stat

    dropbox ls [FILE]...
        This is an alias for filestatus -l

    dropbox puburl FILE
        Prints out a public url for FILE (which must be in your public folder).

    dropbox sharelink FILE
        Prints out a shared link for FILE.

    dropbox proxy MODE [TYPE] [HOST] [PORT] [USERNAME] [PASSWORD]
        Set proxy settings for Dropbox.

        MODE - one of "none", "auto", "manual"
        TYPE - one of "http", "socks4", "socks5" (only valid with "manual" mode)
        HOST - proxy hostname (only valid with "manual" mode)
        PORT - proxy port (only valid with "manual" mode)
        USERNAME - (optional) proxy username (only valid with "manual" mode)
        PASSWORD - (optional) proxy password (only valid with "manual" mode)

    dropbox throttle DOWNLOAD UPLOAD
        Set bandwidth limits for file sync.

        DOWNLOAD - either "unlimited" or a manual limit in KB/s
        UPLOAD - one of "unlimited", "auto", or a manual limit in KB/s

    dropbox status
        Prints out the current status of the Dropbox daemon.

    dropbox running
        Returns 1 if running 0 if not running.

    dropbox stop
        Stops the dropbox daemon.

    dropbox lansync [y/n]
        options:
        y  dropbox will use LAN sync (default)
        n  dropbox will not use LAN sync

    dropbox exclude [list]dropbox exclude add [DIRECTORY] [DIRECTORY] ...
        dropbox exclude remove [DIRECTORY] [DIRECTORY] ...

        "list" prints a list of directories currently excluded from syncing.
        "add" adds one or more directories to the exclusion list, then resynchronizes Dropbox.
        "remove" removes one or more directories from the exclusion list, then resynchronizes Dropbox.
        With no arguments, executes "list".
        Any specified path must be within Dropbox.

    dropbox start [-i]
        Starts the dropbox daemon, dropboxd. If dropboxd is already running, this will do nothing.

        options:
        -i --install  auto install dropboxd if not available on the system

    dropbox autostart [y/n]
        options:
        n  dropbox will not start automatically at login
        y  dropbox will start automatically at login (default)

        Note: May only work on current Ubuntu distributions.

    dropbox help [COMMAND]
        With no arguments, print a list of commands and a short description of each. With a command, print descriptive help on how to use the command.

BUGS

There are currently no known bugs. If you think you have found a bug or have a feature request, post in the forums, or send us an e-mail (see the RESOURCES section below).

In the future there will be full command line support including linking accounts and setting preferences from the dropbox command.

RESOURCES

    •   Dropbox <<http://www.dropbox.com/>>

    •   Dropbox Forums <<http://forums.dropbox.com/>>

    •   Dropbox Support E-mail <<support@dropbox.com>>

AUTHORS
CAJA-DROPBOX:
Benjamin Valentin <<benpicco@zedat.fu-berlin.de>>
Stefano Karapetsas <<stefano@karapetsas.com>>
Elan Ruusamäe <<glen@delfi.ee>>

NAUTILUS-DROPBOX:
Rian Hunter <<rian@dropbox.com>>
Mike Haimes <<mike@dropbox.com>>
David Euresti <<david@dropbox.com>>

Copyright
Copyright (C) 2012-2021 THe MATE developers. Free use of this software is granted under the terms of the GNU General Public License (GPL).